Package org.codehaus.groovy.tools.javac

# Class JavaStubGenerator

java.lang.Object
org.codehaus.groovy.tools.javac.JavaStubGenerator

public class JavaStubGenerator extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaStubGenerator(File outputPath)`
  `JavaStubGenerator(File outputPath, boolean requireSuperResolved, String encoding)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clean()`
  `void`
  `generateClass(ClassNode classNode)`
  `Set<JavaFileObject>`
  `getJavaStubCompilationUnitSet()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaStubGenerator

    public JavaStubGenerator(File outputPath)

  - ### JavaStubGenerator

    public JavaStubGenerator(File outputPath, boolean requireSuperResolved, String encoding)

- ## Method Details

  - ### generateClass

    public void generateClass(ClassNode classNode) throws FileNotFoundException
    Throws:
      `FileNotFoundException`

  - ### getJavaStubCompilationUnitSet

    public Set<JavaFileObject> getJavaStubCompilationUnitSet()

  - ### clean

    public void clean()